using Decal.Interop.Filters;

namespace Decal.Adapter.Wrappers;

public class ByContainerFilter : WorldObjectCollectionFilter
{
	private int container;

	public int Container
	{
		get
		{
			return container;
		}
		set
		{
			container = value;
		}
	}

	public ByContainerFilter()
	{
	}

	public ByContainerFilter(int container)
	{
		this.container = container;
	}

	internal override void ApplyFilter(WorldIterator wi)
	{
		wi.ByContainer(container);
	}
}
